org.apache.ignite.internal.processors.cache

## Class DynamicCacheChangeRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.DynamicCacheChangeRequest

All Implemented Interfaces:
  Serializable

    public class DynamicCacheChangeRequest
    extends Object
    implements Serializable

Cache start/stop request.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DynamicCacheChangeRequest(UUID reqId, String cacheName, UUID initiatingNodeId)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `cacheName()`
`void` `cacheName(String cacheName)`
`CacheType` `cacheType()`
`void` `cacheType(CacheType cacheType)`
`boolean` `clientStartOnly()`
`void` `clientStartOnly(boolean clientStartOnly)`
`IgniteUuid` `deploymentId()`
`void` `deploymentId(IgniteUuid deploymentId)`
`boolean` `destroy()`
`void` `destroy(boolean destroy)` Sets cache data destroy flag.
`boolean` `disabledAfterStart()`
`void` `disabledAfterStart(boolean disabledAfterStart)`
`boolean` `failIfExists()`
`void` `failIfExists(boolean failIfExists)`
`UUID` `initiatingNodeId()`
`boolean` `locallyConfigured()`
`void` `locallyConfigured(boolean locallyConfigured)`
`void` `markResetLostPartitions()` Set resetLostPartitions flag.
`NearCacheConfiguration` `nearCacheConfiguration()`
`void` `nearCacheConfiguration(NearCacheConfiguration nearCacheCfg)`
`UUID` `receivedFrom()`
`void` `receivedFrom(UUID nodeId)`
`UUID` `requestId()`
`boolean` `resetLostPartitions()`
`boolean` `restart()`
`void` `restart(boolean restart)`
`QuerySchema` `schema()`
`void` `schema(QuerySchema schema)`
`boolean` `sql()`
`void` `sql(boolean sql)` Sets if cache is created using create table.
`boolean` `start()`
`CacheConfiguration` `startCacheConfiguration()`
`void` `startCacheConfiguration(CacheConfiguration startCfg)`
`boolean` `stop()`
`void` `stop(boolean stop)`
`static DynamicCacheChangeRequest` `stopRequest(GridKernalContext ctx, String cacheName, boolean sql, boolean destroy)`
`boolean` `template()`
`void` `template(boolean template)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DynamicCacheChangeRequest

    public DynamicCacheChangeRequest(UUID reqId,
                                     String cacheName,
                                     UUID initiatingNodeId)

Parameters:
  `reqId` - Unique request ID.
  `cacheName` - Cache stop name.
  `initiatingNodeId` - Initiating node ID.

### Method Detail

#### stopRequest

    public static DynamicCacheChangeRequest stopRequest(GridKernalContext ctx,
                                                        String cacheName,
                                                        boolean sql,
                                                        boolean destroy)

Parameters:
  `ctx` - Context.
  `cacheName` - Cache name.
  `sql` - `true` if the cache must be stopped only if it was created by SQL command `CREATE TABLE`.
  `destroy` - Cache data destroy flag. Setting to `true` will cause removing all cache data.
Returns:
  Cache stop request.

#### requestId

    public UUID requestId()

Returns:
  Request ID.

#### template

    public void template(boolean template)

Parameters:
  `template` - `True` if this is request for adding template configuration.

#### template

    public boolean template()

Returns:
  `True` if this is template configuration.

#### deploymentId

    public IgniteUuid deploymentId()

Returns:
  Deployment ID.

#### deploymentId

    public void deploymentId(IgniteUuid deploymentId)

Parameters:
  `deploymentId` - Deployment ID.

#### start

    public boolean start()

Returns:
  `True` if this is a start request.

#### markResetLostPartitions

    public void markResetLostPartitions()

Set resetLostPartitions flag.

#### resetLostPartitions

    public boolean resetLostPartitions()

Returns:
  Reset lost partitions flag.

#### stop

    public boolean stop()

Returns:
  `True` if this is a stop request.

#### destroy

    public boolean destroy()

Returns:
  Cache data destroy flag. Setting to `true` will remove all cache data.

#### destroy

    public void destroy(boolean destroy)

Sets cache data destroy flag. Setting to `true` will cause removing all cache data.

Parameters:
  `destroy` - Destroy flag.

#### stop

    public void stop(boolean stop)

Parameters:
  `stop` - New stop flag.

#### restart

    public boolean restart()

Returns:
  `True` if this is a restart request.

#### restart

    public void restart(boolean restart)

Parameters:
  `restart` - New restart flag.

#### cacheName

    public String cacheName()

Returns:
  Cache name.

#### cacheName

    public void cacheName(String cacheName)

Parameters:
  `cacheName` - Cache name.

#### initiatingNodeId

    public UUID initiatingNodeId()

Returns:
  Near node ID.

#### nearCacheConfiguration

    public NearCacheConfiguration nearCacheConfiguration()

Returns:
  Near cache configuration.

#### nearCacheConfiguration

    public void nearCacheConfiguration(NearCacheConfiguration nearCacheCfg)

Parameters:
  `nearCacheCfg` - Near cache configuration.

#### startCacheConfiguration

    public CacheConfiguration startCacheConfiguration()

Returns:
  Cache configuration.

#### startCacheConfiguration

    public void startCacheConfiguration(CacheConfiguration startCfg)

Parameters:
  `startCfg` - Cache configuration.

#### cacheType

    public void cacheType(CacheType cacheType)

Parameters:
  `cacheType` - Cache type.

#### cacheType

    public CacheType cacheType()

Returns:
  Cache type.

#### clientStartOnly

    public boolean clientStartOnly()

Returns:
  Client start only.

#### clientStartOnly

    public void clientStartOnly(boolean clientStartOnly)

Parameters:
  `clientStartOnly` - Client start only.

#### failIfExists

    public boolean failIfExists()

Returns:
  Fail if exists flag.

#### failIfExists

    public void failIfExists(boolean failIfExists)

Parameters:
  `failIfExists` - Fail if exists flag.

#### sql

    public boolean sql()

Returns:
  SQL flag.

#### sql

    public void sql(boolean sql)

Sets if cache is created using create table.

Parameters:
  `sql` - New SQL flag.

#### receivedFrom

    public void receivedFrom(UUID nodeId)

Parameters:
  `nodeId` - ID of node provided cache configuration in discovery data.

#### receivedFrom

    @Nullable
    public UUID receivedFrom()

Returns:
  ID of node provided cache configuration in discovery data.

#### schema

    public QuerySchema schema()

Returns:
  Dynamic schema.

#### schema

    public void schema(QuerySchema schema)

Parameters:
  `schema` - Dynamic schema.

#### locallyConfigured

    public boolean locallyConfigured()

Returns:
  Locally configured flag.

#### locallyConfigured

    public void locallyConfigured(boolean locallyConfigured)

Parameters:
  `locallyConfigured` - Locally configured flag.

#### disabledAfterStart

    public boolean disabledAfterStart()

Returns:
  state of cache after start

#### disabledAfterStart

    public void disabledAfterStart(boolean disabledAfterStart)

Parameters:
  `disabledAfterStart` - state of cache after start

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018